import Dialog from 'material-ui/Dialog';
import FlatButton from 'material-ui/FlatButton';
import RaisedButton from 'material-ui/RaisedButton';
import * as React from 'react';
import { OFRest } from '../../components/Rest';

const styles = {
    headline: {
        fontSize: 24,
        paddingTop: 16,
        marginBottom: 12,
        fontWeight: 400,
    },
};

export class WaitForAuthDetail extends React.Component<any, any> {
    constructor(props: any, context: any) {
        super(props, context);
        this.state = {
            agent: null,
            popupOpen: false,
        };
    }

    handleRequestAuth = () => {
        this.setState({
            popupOpen: true,
        });
    }

    handleRequestDelete = () => {
        alert("delete");
        this.props.history.go(-1);
    }

    handlePopupClose = () => {
        this.setState({ popupOpen: false });
    }

    handleSubmitAuth = () => {

        let output: string;
        let obj: any; // new object declaration
        obj = {

        };

        const os: OFRest = new OFRest("NoauthAgent", "Regist", obj);

        os.Call().then(function(res) {
            return res.json();
        }).then(function(json) {
            console.log(json);
        }).catch(function(err) {
            console.log(err);
        });
    }

    render() {
        const actions = [
            <FlatButton
                label="Cancel"
                primary={true}
                onTouchTap={this.handlePopupClose}
            />,
            <FlatButton
                label="Submit"
                primary={true}
                onTouchTap={this.handleSubmitAuth}
            />,
        ];

        return (

            <div>

                <RaisedButton label="인증 요청" primary={true} style={{ margin: 12 }} onClick={this.handleRequestAuth} />
                <RaisedButton label="삭제" secondary={true} style={{ margin: 12 }} onClick={this.handleRequestDelete} />

                <Dialog
                    title="인증 요청"
                    actions={actions}
                    modal={true}
                    open={this.state.popupOpen}
                >
                    Are you sure?
                </Dialog>

            </div>

        );
    }

}
