import * as React from 'react';
import { Grid, Menu, Segment } from 'semantic-ui-react';

export class DetailContainer extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      active: 0,
    };
  }

  showContents() {
    return this.props.panes[this.state.active].child;
  }

  handleClick(index: number) {
    this.setState({
      active: index,
    });
  }

  render() {
    const activeItem = this.state.activeItem;

    return (
      <Grid>
        <Grid.Column width={4} >
          <Menu pointing secondary vertical >
            {this.props.panes.map((pane: any, index: number) => (
              <Menu.Item key={index} name={pane.name} onClick={this.handleClick.bind(this, index)} active={this.state.active === index} />
            ))}
          </Menu>
        </Grid.Column>

        <Grid.Column stretched width={12} >
          <Segment basic>
            {this.showContents()}
          </Segment>
        </Grid.Column>
      </Grid>
    );
  }
}